- Qt 5.15
- Qt 3D
- C++ Classes
- QAbstractAxisInput
- Qt 5.15.18 Reference Documentation

# QAbstractAxisInput Class

class Qt3DInput::QAbstractAxisInput

QAbstractActionInput is the base class for all Axis Input. More...

Header: | #include <Qt3DInput/QAbstractAxisInput>
qmake: | QT += 3dinput
Since: | Qt 5.5
Inherits: | Qt3DCore::QNode
Inherited By: | Qt3DInput::QAnalogAxisInput and Qt3DInput::QButtonAxisInput

This class was introduced in Qt 5.5.

- List of all members, including inherited members

## Properties

- sourceDevice : Qt3DInput::QAbstractPhysicalDevice*

## Public Functions

QAbstractPhysicalDevice * | sourceDevice() const

## Public Slots

void | setSourceDevice(QAbstractPhysicalDevice *sourceDevice)

## Signals

void | sourceDeviceChanged(QAbstractPhysicalDevice *sourceDevice)

## Detailed Description

## Property Documentation

### sourceDevice : Qt3DInput::QAbstractPhysicalDevice*

The source device for the QAbstractAxisInput.

Access functions:

QAbstractPhysicalDevice * | sourceDevice() const
void | setSourceDevice(QAbstractPhysicalDevice *sourceDevice)

Notifier signal:

void | sourceDeviceChanged(QAbstractPhysicalDevice *sourceDevice)